# Class ApfloatInterruptedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apfloat.ApfloatRuntimeException
org.apfloat.ApfloatInterruptedException

All Implemented Interfaces:
  `Serializable, ApfloatLocalizedException`

public class ApfloatInterruptedException extends ApfloatRuntimeException
Exception indicating that the computation was interrupted.

This exception is semantically somewhat similar to `InterruptedException` except that it's a runtime exception and not a checked exception.

Since:
  1.14.0
Version:
  1.15.0
Author:
  Mikko Tommila
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApfloatInterruptedException()`
  Constructs a new apfloat interrupted exception with an empty detail message.
  `ApfloatInterruptedException(String message)`
  Constructs a new apfloat interrupted exception with the specified detail message.
  `ApfloatInterruptedException(String message, String localizationKey, Object... localizationArgs)`
  Constructs a new apfloat interrupted exception with the specified detail message and localization data.
  `ApfloatInterruptedException(String message, Throwable cause)`
  Constructs a new apfloat interrupted exception with the specified detail message and cause.
  `ApfloatInterruptedException(String message, Throwable cause, String localizationKey, Object... localizationArgs)`
  Constructs a new apfloat interrupted exception with the specified detail message, cause and localization data.

- ## Method Summary

  ### Methods inherited from class ApfloatRuntimeException

  `getLocalizationArgs, getLocalizationKey, getLocalizedMessage`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ApfloatLocalizedException

  `getMessage`

- ## Constructor Details

  - ### ApfloatInterruptedException

    public ApfloatInterruptedException()
    Constructs a new apfloat interrupted exception with an empty detail message.

  - ### ApfloatInterruptedException

    public ApfloatInterruptedException(String message)
    Constructs a new apfloat interrupted exception with the specified detail message.
    Parameters:
      `message` - The detail message.

  - ### ApfloatInterruptedException

    public ApfloatInterruptedException(String message, Throwable cause)
    Constructs a new apfloat interrupted exception with the specified detail message and cause.
    Parameters:
      `message` - The detail message.
      `cause` - Originating cause of the exception.

  - ### ApfloatInterruptedException

    public ApfloatInterruptedException(String message, String localizationKey, Object... localizationArgs)
    Constructs a new apfloat interrupted exception with the specified detail message and localization data.
    Parameters:
      `message` - The detail message.
      `localizationKey` - The localization key.
      `localizationArgs` - The localization arguments.
    Since:
      1.15.0

  - ### ApfloatInterruptedException

    public ApfloatInterruptedException(String message, Throwable cause, String localizationKey, Object... localizationArgs)
    Constructs a new apfloat interrupted exception with the specified detail message, cause and localization data.
    Parameters:
      `message` - The detail message.
      `cause` - Originating cause of the exception.
      `localizationKey` - The localization key.
      `localizationArgs` - The localization arguments.
    Since:
      1.15.0